org.apache.synapse.transport.passthru.jmx

## Interface LatencyViewMBean

- All Known Implementing Classes:
    LatencyView

      public interface LatencyViewMBean

  Provides metrics related to the latency added by the NHTTP transport while mediating messages through.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get15m_Avg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `get15m_Avg_Client_To_Esb_RequestReadTime()`
    `double` | `get15m_Avg_ClientWorker_QueuedTime()`
    `double` | `get15m_Avg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `get15m_Avg_Esb_To_Client_ResponseWriteTime()`
    `double` | `get15m_Avg_Latency_BackEnd()`
    `double` | `get15m_Avg_Latency()` 15m averages
    `double` | `get15m_Avg_request_Mediation_Latency()`
    `double` | `get15m_Avg_response_Mediation_Latency()`
    `double` | `get15m_Avg_ServerWorker_QueuedTime()`
    `double` | `get1h_Avg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `get1h_Avg_Client_To_Esb_RequestReadTime()`
    `double` | `get1h_Avg_ClientWorker_QueuedTime()`
    `double` | `get1h_Avg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `get1h_Avg_Esb_To_Client_ResponseWriteTime()`
    `double` | `get1h_Avg_Latency_BackEnd()`
    `double` | `get1h_Avg_Latency()` 1h averages
    `double` | `get1h_Avg_request_Mediation_Latency()`
    `double` | `get1h_Avg_response_Mediation_Latency()`
    `double` | `get1h_Avg_ServerWorker_QueuedTime()`
    `double` | `get1m_Avg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `get1m_Avg_Client_To_Esb_RequestReadTime()`
    `double` | `get1m_Avg_ClientWorker_QueuedTime()`
    `double` | `get1m_Avg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `get1m_Avg_Esb_To_Client_ResponseWriteTime()`
    `double` | `get1m_Avg_Latency_BackEnd()`
    `double` | `get1m_Avg_Latency()` 1m averages
    `double` | `get1m_Avg_request_Mediation_Latency()`
    `double` | `get1m_Avg_response_Mediation_Latency()`
    `double` | `get1m_Avg_ServerWorker_QueuedTime()`
    `double` | `get24h_Avg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `get24h_Avg_Client_To_Esb_RequestReadTime()`
    `double` | `get24h_Avg_ClientWorker_QueuedTime()`
    `double` | `get24h_Avg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `get24h_Avg_Esb_To_Client_ResponseWriteTime()`
    `double` | `get24h_Avg_Latency_BackEnd()`
    `double` | `get24h_Avg_Latency()` 24h averages
    `double` | `get24h_Avg_request_Mediation_Latency()`
    `double` | `get24h_Avg_response_Mediation_Latency()`
    `double` | `get24h_Avg_ServerWorker_QueuedTime()`
    `double` | `get5m_Avg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `get5m_Avg_Client_To_Esb_RequestReadTime()`
    `double` | `get5m_Avg_ClientWorker_QueuedTime()`
    `double` | `get5m_Avg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `get5m_Avg_Esb_To_Client_ResponseWriteTime()`
    `double` | `get5m_Avg_Latency_BackEnd()`
    `double` | `get5m_Avg_Latency()` 5m averages
    `double` | `get5m_Avg_request_Mediation_Latency()`
    `double` | `get5m_Avg_response_Mediation_Latency()`
    `double` | `get5m_Avg_ServerWorker_QueuedTime()`
    `double` | `get8h_Avg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `get8h_Avg_Client_To_Esb_RequestReadTime()`
    `double` | `get8h_Avg_ClientWorker_QueuedTime()`
    `double` | `get8h_Avg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `get8h_Avg_Esb_To_Client_ResponseWriteTime()`
    `double` | `get8h_Avg_Latency_BackEnd()`
    `double` | `get8h_Avg_Latency()` 8h averages
    `double` | `get8h_Avg_request_Mediation_Latency()`
    `double` | `get8h_Avg_response_Mediation_Latency()`
    `double` | `get8h_Avg_ServerWorker_QueuedTime()`
    `double` | `getAvg_BackEnd_To_Esb_ResponseReadTime()`
    `double` | `getAvg_Client_To_Esb_RequestReadTime()`
    `double` | `getAvg_ClientWorker_QueuedTime()`
    `double` | `getAvg_Esb_To_BackEnd_RequestWriteTime()`
    `double` | `getAvg_Esb_To_Client_ResponseWriteTime()`
    `double` | `getAvg_Latency_BackEnd()`
    `double` | `getAvg_Latency()` All time averages
    `double` | `getAvg_request_Mediation_Latency()`
    `double` | `getAvg_response_Mediation_Latency()`
    `double` | `getAvg_ServerWorker_QueuedTime()`
    `java.util.Date` | `getLastResetTime()` Provide LastReset Time
    `void` | `reset()` Reset all values

- - ### Method Detail

    - #### getAvg_Latency

          double getAvg_Latency()

      All time averages

    - #### getAvg_Latency_BackEnd

          double getAvg_Latency_BackEnd()

    - #### getAvg_Client_To_Esb_RequestReadTime

          double getAvg_Client_To_Esb_RequestReadTime()

    - #### getAvg_Esb_To_BackEnd_RequestWriteTime

          double getAvg_Esb_To_BackEnd_RequestWriteTime()

    - #### getAvg_BackEnd_To_Esb_ResponseReadTime

          double getAvg_BackEnd_To_Esb_ResponseReadTime()

    - #### getAvg_Esb_To_Client_ResponseWriteTime

          double getAvg_Esb_To_Client_ResponseWriteTime()

    - #### getAvg_ServerWorker_QueuedTime

          double getAvg_ServerWorker_QueuedTime()

    - #### getAvg_ClientWorker_QueuedTime

          double getAvg_ClientWorker_QueuedTime()

    - #### getAvg_request_Mediation_Latency

          double getAvg_request_Mediation_Latency()

    - #### getAvg_response_Mediation_Latency

          double getAvg_response_Mediation_Latency()

    - #### get1m_Avg_Latency

          double get1m_Avg_Latency()

      1m averages

    - #### get1m_Avg_Latency_BackEnd

          double get1m_Avg_Latency_BackEnd()

    - #### get1m_Avg_Client_To_Esb_RequestReadTime

          double get1m_Avg_Client_To_Esb_RequestReadTime()

    - #### get1m_Avg_Esb_To_BackEnd_RequestWriteTime

          double get1m_Avg_Esb_To_BackEnd_RequestWriteTime()

    - #### get1m_Avg_BackEnd_To_Esb_ResponseReadTime

          double get1m_Avg_BackEnd_To_Esb_ResponseReadTime()

    - #### get1m_Avg_Esb_To_Client_ResponseWriteTime

          double get1m_Avg_Esb_To_Client_ResponseWriteTime()

    - #### get1m_Avg_ServerWorker_QueuedTime

          double get1m_Avg_ServerWorker_QueuedTime()

    - #### get1m_Avg_ClientWorker_QueuedTime

          double get1m_Avg_ClientWorker_QueuedTime()

    - #### get1m_Avg_request_Mediation_Latency

          double get1m_Avg_request_Mediation_Latency()

    - #### get1m_Avg_response_Mediation_Latency

          double get1m_Avg_response_Mediation_Latency()

    - #### get5m_Avg_Latency

          double get5m_Avg_Latency()

      5m averages

    - #### get5m_Avg_Latency_BackEnd

          double get5m_Avg_Latency_BackEnd()

    - #### get5m_Avg_Client_To_Esb_RequestReadTime

          double get5m_Avg_Client_To_Esb_RequestReadTime()

    - #### get5m_Avg_Esb_To_BackEnd_RequestWriteTime

          double get5m_Avg_Esb_To_BackEnd_RequestWriteTime()

    - #### get5m_Avg_BackEnd_To_Esb_ResponseReadTime

          double get5m_Avg_BackEnd_To_Esb_ResponseReadTime()

    - #### get5m_Avg_Esb_To_Client_ResponseWriteTime

          double get5m_Avg_Esb_To_Client_ResponseWriteTime()

    - #### get5m_Avg_ServerWorker_QueuedTime

          double get5m_Avg_ServerWorker_QueuedTime()

    - #### get5m_Avg_ClientWorker_QueuedTime

          double get5m_Avg_ClientWorker_QueuedTime()

    - #### get5m_Avg_request_Mediation_Latency

          double get5m_Avg_request_Mediation_Latency()

    - #### get5m_Avg_response_Mediation_Latency

          double get5m_Avg_response_Mediation_Latency()

    - #### get15m_Avg_Latency

          double get15m_Avg_Latency()

      15m averages

    - #### get15m_Avg_Latency_BackEnd

          double get15m_Avg_Latency_BackEnd()

    - #### get15m_Avg_Client_To_Esb_RequestReadTime

          double get15m_Avg_Client_To_Esb_RequestReadTime()

    - #### get15m_Avg_Esb_To_BackEnd_RequestWriteTime

          double get15m_Avg_Esb_To_BackEnd_RequestWriteTime()

    - #### get15m_Avg_BackEnd_To_Esb_ResponseReadTime

          double get15m_Avg_BackEnd_To_Esb_ResponseReadTime()

    - #### get15m_Avg_Esb_To_Client_ResponseWriteTime

          double get15m_Avg_Esb_To_Client_ResponseWriteTime()

    - #### get15m_Avg_ServerWorker_QueuedTime

          double get15m_Avg_ServerWorker_QueuedTime()

    - #### get15m_Avg_ClientWorker_QueuedTime

          double get15m_Avg_ClientWorker_QueuedTime()

    - #### get15m_Avg_request_Mediation_Latency

          double get15m_Avg_request_Mediation_Latency()

    - #### get15m_Avg_response_Mediation_Latency

          double get15m_Avg_response_Mediation_Latency()

    - #### get1h_Avg_Latency

          double get1h_Avg_Latency()

      1h averages

    - #### get1h_Avg_Latency_BackEnd

          double get1h_Avg_Latency_BackEnd()

    - #### get1h_Avg_Client_To_Esb_RequestReadTime

          double get1h_Avg_Client_To_Esb_RequestReadTime()

    - #### get1h_Avg_Esb_To_BackEnd_RequestWriteTime

          double get1h_Avg_Esb_To_BackEnd_RequestWriteTime()

    - #### get1h_Avg_BackEnd_To_Esb_ResponseReadTime

          double get1h_Avg_BackEnd_To_Esb_ResponseReadTime()

    - #### get1h_Avg_Esb_To_Client_ResponseWriteTime

          double get1h_Avg_Esb_To_Client_ResponseWriteTime()

    - #### get1h_Avg_ServerWorker_QueuedTime

          double get1h_Avg_ServerWorker_QueuedTime()

    - #### get1h_Avg_ClientWorker_QueuedTime

          double get1h_Avg_ClientWorker_QueuedTime()

    - #### get1h_Avg_request_Mediation_Latency

          double get1h_Avg_request_Mediation_Latency()

    - #### get1h_Avg_response_Mediation_Latency

          double get1h_Avg_response_Mediation_Latency()

    - #### get8h_Avg_Latency

          double get8h_Avg_Latency()

      8h averages

    - #### get8h_Avg_Latency_BackEnd

          double get8h_Avg_Latency_BackEnd()

    - #### get8h_Avg_Client_To_Esb_RequestReadTime

          double get8h_Avg_Client_To_Esb_RequestReadTime()

    - #### get8h_Avg_Esb_To_BackEnd_RequestWriteTime

          double get8h_Avg_Esb_To_BackEnd_RequestWriteTime()

    - #### get8h_Avg_BackEnd_To_Esb_ResponseReadTime

          double get8h_Avg_BackEnd_To_Esb_ResponseReadTime()

    - #### get8h_Avg_Esb_To_Client_ResponseWriteTime

          double get8h_Avg_Esb_To_Client_ResponseWriteTime()

    - #### get8h_Avg_ServerWorker_QueuedTime

          double get8h_Avg_ServerWorker_QueuedTime()

    - #### get8h_Avg_ClientWorker_QueuedTime

          double get8h_Avg_ClientWorker_QueuedTime()

    - #### get8h_Avg_request_Mediation_Latency

          double get8h_Avg_request_Mediation_Latency()

    - #### get8h_Avg_response_Mediation_Latency

          double get8h_Avg_response_Mediation_Latency()

    - #### get24h_Avg_Latency

          double get24h_Avg_Latency()

      24h averages

    - #### get24h_Avg_Latency_BackEnd

          double get24h_Avg_Latency_BackEnd()

    - #### get24h_Avg_Client_To_Esb_RequestReadTime

          double get24h_Avg_Client_To_Esb_RequestReadTime()

    - #### get24h_Avg_Esb_To_BackEnd_RequestWriteTime

          double get24h_Avg_Esb_To_BackEnd_RequestWriteTime()

    - #### get24h_Avg_BackEnd_To_Esb_ResponseReadTime

          double get24h_Avg_BackEnd_To_Esb_ResponseReadTime()

    - #### get24h_Avg_Esb_To_Client_ResponseWriteTime

          double get24h_Avg_Esb_To_Client_ResponseWriteTime()

    - #### get24h_Avg_ServerWorker_QueuedTime

          double get24h_Avg_ServerWorker_QueuedTime()

    - #### get24h_Avg_ClientWorker_QueuedTime

          double get24h_Avg_ClientWorker_QueuedTime()

    - #### get24h_Avg_request_Mediation_Latency

          double get24h_Avg_request_Mediation_Latency()

    - #### get24h_Avg_response_Mediation_Latency

          double get24h_Avg_response_Mediation_Latency()

    - #### reset

          void reset()

      Reset all values

    - #### getLastResetTime

          java.util.Date getLastResetTime()

      Provide LastReset Time

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.